# Neurenix

Neurenix is ​​an AI framework optimized for embedded devices (Edge AI), with support for multiple GPUs and distributed clusters. The framework specializes in AI agents, with native support for multi-agent, reinforcement learning, and autonomous AI.

## Social

[![Bluesky](https://img.shields.io/badge/Bluesky-0285FF?logo=bluesky&logoColor=fff&style=for-the-badge)](https://bsky.app/profile/neurenix.bsky.social)
[![Discord](https://img.shields.io/badge/Discord-5865F2?style=for-the-badge&logo=discord&logoColor=white)](https://discord.gg/Eqnhr8tK2G)
[![GitHub](https://img.shields.io/badge/GitHub-000000?style=for-the-badge&logo=github&logoColor=white)](https://github.com/neurenix)
[![Mastodon](https://img.shields.io/badge/Mastodon-6364FF?style=for-the-badge&logo=Mastodon&logoColor=white)](https://fosstodon.org/@neurenix)
[![X/Twitter](https://img.shields.io/badge/X-000000?style=for-the-badge&logo=x&logoColor=white)](https://x.com/neurenix)

## Main Features

- **Phynexus Engine**: High-performance engine for tensor operations
- **Optimized for Edge AI**: Efficient execution on embedded devices
- **Multi-GPU and Distributed Support**: Scalability to clusters and multiple GPUs
- **TPU Support**: Tensor Processing Unit acceleration for machine learning workloads
- **Agent-Specialized**: Native support for multi-agent and autonomous AI
- **Declarative API**: Simpler and more intuitive interface than traditional frameworks
- **LLM Fine-tuning**: Simplified tools for tuning language models
- **Hugging Face Integration**: Compatibility with pre-existing models

## Documentation

[Neurenix Documentation](https://neurenix.readthedocs.io/en/latest/)

## License

This project is licensed under the [Apache License 2.0](LICENSE).
